\renewcommand{\abstractname}{Acknowledgements}
\thispagestyle{empty}
\begin{abstract}
	First and foremost, I want to thank Erika. She not only supervised this thesis and all the work that went into it but also provided for a wonderful environment to work in.
	This of course also includes my current and former colleagues, in particular Florian, Francesco, Rebecca, and Stefan, but also all other co-workers from the MOVES group.

	My first few years were characterized by the liberty to explore a rather wide range of topics, also thanks to the funding provided by AlgoSyn. Later on, the SC$^2$ project provided for extremely valuable interaction with people that I learned a lot from, in particular my other two supervisors, James and Viktor.
	James proved time and again to be an irreplaceable source of knowledge and never tired to explain in his inimitable way whatever I asked about CAD.
	Viktor on the other hand not only provided advice on a number of student projects but also helped repeatedly with the algebraic foundations of this work.

	Our cooperations, in particular within the SC$^2$ project, sparked many more enlightening and productive discussions and cooperations with, among others, John Abbott, Christopher W. Brown, Matthew England, Pascal Fontaine, Vijay Ganesh, Einar Broch Johnsen, Jacopo Mauro, and Thomas Sturm.

	Neither the work presented in this thesis nor the thesis itself would have been possible in this form without the help of other people.
	While quite a few students contributed to \CArL and \SMTRAT over these years, I want to thank Jasper and Sebastian in particular.
	Furthermore, I want to thank Jens and Marcel for their patience in a series of discussions about algebraic details in both theory and implementation.

	Last but not least, I wish to thank my family and friends for their support throughout these years, in particular Beate, Thomas, Elisa, Fiona, and Noam.
\end{abstract}
